it-swarm-ja.com

WindowsでGitを最新バージョンにアップグレードする方法まだ古いバージョンを表示中

私はちょうど私の前のバージョン1.7.9.mysysgit.0からWindows用のGit 1.8.0.1にアップグレードしました。私は Gitサイトからの新しいバージョン をダウンロードし、そして通常のGitインストーラーEXEを通してインストールしました。

とは言っても、ターミナルウィンドウを起動しても、gitバージョン1.7.9.mysysgit.0を実行していることを示しています。プロンプトから「git --version」と入力しても、同じことが言えます。

私は Mac OS XのGitに関する同様の問題に関するこの記事の記事 を見て、PATHの問題と関係があると信じていますが、それでもまだまったく新しいことです(5ヶ月)私はこれをWindowsに変換する方法に迷っています。

この問題は、私が新しいRailsプロジェクトを始めてGitにプッシュしようとしたときに起こりました。私はリモコンを追加しました:

git remote add Origin [email protected]:brianscottk/blog.git

その後:

git Push -u Origin master

次のエラーメッセージが表示されました。

致命的: https://github.com 参照が見つかりません:サーバーでgit update-server-infoを実行しましたか?

そのエラーをグーグルすると この記事 となり、アップグレードを促されました。

204
BrianScottK

Git 2.16.1(2)から使えます

C:\> git update-git-for-windows

2.14.2と2.16.1の間のバージョンでは、コマンドは

C:\> git update

(例えばsvn updateのように、ローカルリポジトリの更新との混同を避けるために後で名前が変更されました。)

そのコマンドはGit 2.13以前には存在しません。

「is gitコマンドではありません」というエラーが表示された場合は、実際にはGit for Windowsがインストールされていないか、バージョンが非常に古いです。

その場合は、 https://git-scm.com/download (32ビットと64ビットのどちらが必要かを確認してください)から最新のインストーラを入手してアップグレードしてください。

最新バージョンをすでに持っている場合は何もしません。その場合は手動でインストーラを実行して再インストールできます。

C:\> git update-git-for-windows
Git for Windows 2.17.0.windows.1 (64bit)
Up to date
351
Dutch Glory

アップデート(26SEP2016):以前のバージョンのgitをアンインストールして最新のものにアップグレードする必要はもうありません。 git winダウンロードサイト にあるインストーラパッケージがすべての面倒を見る。プロンプトに従ってください。追加情報については、 gitのインストールとアップグレード の指示に従ってください。

31
David

コマンド「where git」を使用して、コマンドプロンプトがどのようにバージョンを選択するかを調べます。パスを取得したら、先に進んで以前のバージョンを完全にアンインストール/削除することができます。それからあなたがインストールして、新しくインストールされた場所がパスにあることを確認すれば、それはちょうどうまくいくはずです。

cmder のようなgit-friendlyなツールを使うと、あなたの人生はずっと楽になります。 Windowsでのgitのサポートはすでに一流になっているので、デュアルブートやcygwinを使う必要はもうありません。 (Git for windowsは、MinGWから必要なすべてのunixツールを含むmsysgitをインストールします。MinGWはしばらくの間存在していて、かなり安定しています。 Gitではなくmsysgitのフルバージョンをインストールできます。 Windows用 。msysgitはGit for windowsのページ下部にあります。)

15
Rajan Ponnappan

まず、このコマンドを使ってgitのバージョンを確認してください。

git --version

それからあなたのgitバージョンに従ってケースに従ってください

3つの場合

  1. あなたのgitのバージョンが2.14.1より前の場合.

    gitをアンインストールして最新のものをダウンロードしてください git そして再度インストールしてください。

  2. そして2.14.2と2.16.1の間のバージョン

    コマンドを使うgit update

  3. バージョンはより大きいGit 2.16.1(2)に等しい

    コマンドを使うgit update-git-for-windows

9
Arslan Ahmad

@Simonからの最後の応答に基づいて、私は最初にGitの新しいバージョンをアンインストールしました。それから-古いバージョンと同じディレクトリに新しいバージョンのGitをインストールしましたC:/RailsInstaller/Git、デフォルトのディレクトリC:/Gitの代わりに。

これで私のRailsターミナルウィンドウは私が新しいgitバージョン1.8.0を実行していることを示しています。

6
BrianScottK

PATH変数をチェックアウトするには、次のようにします。

  1. デスクトップから、[マイコンピュータ]を右クリックし、[プロパティ]をクリックします。
  2. 左側の列にある[システムの詳細設定]リンクをクリックします。
  3. [システムのプロパティ]ウィンドウで、[環境変数]ボタンをクリックします。

そこに来たら、スクロールしてPath行を取得します。パスの長い文字列が表示されます(例:C:\windows\bin;C:\program files\gitなど)。

gitが参照されている行を探します。次に、このパスがGit 1.8.xインストールを指すようにしてください。そうでない場合は、それを削除して最新のGitバージョンへの実際のパスを追加してください。最後に、Gitにリンクしている文字列には1つのパスしかありません。

この助けを願っています!

2
Simon Boudrias

remoteはリポジトリ固有のものであるため、あなたの問題がWindowsのグローバルPATHに関連しているとは思わない。

CygwinでGitを使用することをお勧めします。 GitはWindowsのコマンドラインで動作するかもしれませんが、理解するのが難しいいくつかの奇妙な問題があるかもしれません。 Cygwinの下では、それはより自然で、エラーが少なくなります。

必要なのは、Window CMDにbashと入力してから、Unixのツールとコマンドを使い始めることです。ショートカットを使用してbashをロードできます。通常のWindows CMDを使用するのと同じくらい簡単です。

RailsとRubyにも同じことが言えます。私は以前RailsInstallerを使用しましたが、RailsをインストールするためにCygwinを使用する方がより安定していることがわかりました。

最後に、時間があればUbuntuデュアルブートをインストールすることをお勧めします(慣れるまでに約1ヶ月)。 Windowsは、最終的にはすべてのUnixツールに対してあまり親切ではありません。あなたはすべての痛みが止まったのがわかるでしょう。

1
Billy Chan